#面板设定
encode exp,gen(ex)
encode imp,gen(im)
egen id=group(ex im)
xtset id year
#基准回归
qui reg ADU_DVA RTA lnexp_gdp lnimp_gdp ln_dist,r
est sto ols_1
qui reg ADU_DVA RTA lnexp_gdp lnimp_gdp ln_dist contig,r
est sto ols_2
qui reg ADU_DVA RTA lnexp_gdp lnimp_gdp ln_dist contig comlang_off,r
est sto ols_3
qui reg ADU_DVA RTA lnexp_gdp lnimp_gdp ln_dist contig comlang_off colony ,r
est sto ols_4
qui reghdfe ADU_DVA RTA lnexp_gdp lnimp_gdp ln_dist contig comlang_off colony ,a(ex im year)vce(r)
est sto fe_1
qui reghdfe ADU_DVA RTA lnexp_gdp lnimp_gdp ln_dist contig comlang_off colony ,a(ex#im year)vce(r)
est sto fe_2
qui reghdfe ADU_DVA RTA  ,a(ex#im ex#year im#year)vce(r)
est sto fe_3
esttab ols_1 ols_2 ols_3 ols_4 fe_1 fe_2 fe_3 using basic.rtf,star( * 0.1  ** 0.05  *** 0.01) se ar2 mtitle
#滞后性检验
qui reghdfe ADU_DVA LAG_1 ,a(ex#im ex#year im#year)vce(r)
est sto v1
qui reghdfe ADU_DVA LAG_2 ,a(ex#im ex#year im#year)vce(r)
est sto v2
qui reghdfe ADU_DVA LAG_3 ,a(ex#im ex#year im#year)vce(r)
est sto v3
qui reghdfe ADU_DVA LAG_4 ,a(ex#im ex#year im#year)vce(r)
est sto v4
esttab v1 v2 v3 v4 using dve_v.rtf,star(* 0.1 ** 0.05 *** 0.01)se ar2 mtitle
#平稳性检验
qui reg ADU_DVA TD_RTA lnexp_gdp lnimp_gdp ln_dist contig comlang_off colony ,r
est sto ols_1
qui reghdfe ADU_DVA TD_RTA lnexp_gdp lnimp_gdp ln_dist contig comlang_off colony ,a(ex im year)vce(r)
est sto fe_11
qui reghdfe ADU_DVA TD_RTA lnexp_gdp lnimp_gdp ln_dist contig comlang_off colony ,a(ex#im year)vce(r)
est sto fe_21
qui reghdfe ADU_DVA TD_RTA ,a(ex#im ex#year im#year)vce(r)
est sto fe_31
esttab ols_1 fe_11 fe_21  fe_31 using TD.rtf,star(* 0.1 ** 0.05 *** 0.01)se ar2 mtitle
#内生性检验
qui reghdfe ADU_DVA RTA BIT ,a(ex#im ex#year im#year)vce(r)
est sto fe_1
qui reghdfe ADU_DVA MUL_RTA ,a(ex#im ex#year im#year)vce(r)
est sto fe_2
esttab fe_1 fe_2 using exogenous.rtf,star( * 0.1  ** 0.05  *** 0.01) se ar2 mtitle
#异质性检验
##行业异质性
qui reghdfe adu_adva RTA,a(ex#im ex#year im#year)vce(r)
est sto adva
qui reghdfe adu_mdva RTA,a(ex#im ex#year im#year)vce(r)
est sto mdva
qui reghdfe adu_cdva RTA,a(ex#im ex#year im#year)vce(r)
est sto cdva
esttab adva mdva cdva using T_industry.rtf,star(* 0.1 ** 0.05 *** 0.01)se ar2 mtitle
##国家异质性
###发达
####总体
qui reghdfe ADU_DVA RTA  ,a(ex#im ex#year im#year)vce(r)
est sto fe_1
esttab fe_1 using basic.rtf,star( * 0.1  ** 0.05  *** 0.01) se ar2 mtitle
####分行业
qui reghdfe adu_adva RTA,a(ex#im ex#year im#year)vce(r)
est sto adva
qui reghdfe adu_cdva RTA,a(ex#im ex#year im#year)vce(r)
est sto cdva
qui reghdfe adu_mdva RTA,a(ex#im ex#year im#year)vce(r)
est sto mdva
esttab adva cdva mdva using T_industry.rtf,star(* 0.1 ** 0.05 *** 0.01)se ar2 mtitle
####增加值占比
qui reghdfe RMDVA_平均值 RTA ,a(ex#im im#year ex#year)vce(r)
est sto dver_平均值
qui reghdfe RMDVA_中位数 RTA ,a(ex#im im#year ex#year)vce(r)
est sto dver_中位数
esttab dver_平均值 dver_中位数 using R.rtf,star(* 0.1 ** 0.05 *** 0.01)se ar2 mtitle
####服务贸易协定
qui reghdfe RMDVA_平均值 RTA adu_RTA ,a(ex#im im#year ex#year)vce(r)
est sto tr_mdva_ave
qui reghdfe RMDVA_中位数 RTA adu_RTA ,a(ex#im im#year ex#year)vce(r)
est sto tr_mdva_mid
qui reghdfe adu_mdva RTA adu_RTA ,a(ex#im im#year ex#year)vce(r)
est sto t_mdva
esttab tr_mdva_ave tr_mdva_mid t_mdva using hRM.rtf,star(* 0.1 ** 0.05 *** 0.01)se ar2 mtitle
###发展中
####总体
qui reghdfe ADU_DVA RTA  ,a(ex#im ex#year im#year)vce(r)
est sto fe_1
esttab fe_1 using basic.rtf,star( * 0.1  ** 0.05  *** 0.01) se ar2 mtitle
####分行业
qui reghdfe adu_adva RTA,a(ex#im ex#year im#year)vce(r)
est sto adva
qui reghdfe adu_cdva RTA,a(ex#im ex#year im#year)vce(r)
est sto cdva
qui reghdfe adu_mdva RTA,a(ex#im ex#year im#year)vce(r)
est sto mdva
esttab adva cdva mdva using T_industry.rtf,star(* 0.1 ** 0.05 *** 0.01)se ar2 mtitle
####增加值占比
qui reghdfe RMDVA_平均值 RTA ,a(ex#im im#year ex#year)vce(r)
est sto dver_平均值
qui reghdfe RMDVA_中位数 RTA ,a(ex#im im#year ex#year)vce(r)
est sto dver_中位数
esttab dver_平均值 dver_中位数 using R.rtf,star(* 0.1 ** 0.05 *** 0.01)se ar2 mtitle
####服务贸易协定
qui reghdfe RMDVA_平均值 RTA adu_RTA t,a(ex#im im#year ex#year)vce(r)
est sto tr_mdva_ave
qui reghdfe RMDVA_中位数 RTA adu_RTA t,a(ex#im im#year ex#year)vce(r)
est sto tr_mdva_mid
qui reghdfe adu_mdva RTA adu_RTA ,a(ex#im im#year ex#year)vce(r)
est sto t_mdva
esttab tr_mdva_ave tr_mdva_mid t_mdva using hRM.rtf,star(* 0.1 ** 0.05 *** 0.01)se ar2 mtitle
##RTA异质性
qui reghdfe adu_adva SSRTA NNRTA NSRTA,a(ex#im ex#year im#year)vce(r)
est sto adva
qui reghdfe adu_cdva SSRTA NNRTA NSRTA,a(ex#im ex#year im#year)vce(r)
est sto cdva
qui reghdfe adu_mdva SSRTA NNRTA NSRTA,a(ex#im ex#year im#year)vce(r)
est sto mdva
esttab adva cdva mdva using HFTA_industry.rtf,star(* 0.1 ** 0.05 *** 0.01)se ar2 mtitle
#内容条款
##求残差
reg WTO_X_le WTO_PLUS_le
predict e,residual
##回归
qui reghdfe adu_adva WTO_PLUS_le e,a(ex#im ex#year im#year)vce(r)
est sto adva
qui reghdfe adu_cdva WTO_PLUS_le e,a(ex#im ex#year im#year)vce(r)
est sto cdva
qui reghdfe adu_mdva WTO_PLUS_le e,a(ex#im ex#year im#year)vce(r)
est sto mdva
esttab adva cdva mdva using T_industry.rtf,star(* 0.1 ** 0.05 *** 0.01)se ar2 mtitle









